Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focuswhenit calls `list-processes'

From: "Drew Adams" <[email-masked]>
Date: Tue, 7 Aug 2012 06:59:18 -0700

>  >>  > there is nothing in the problem description that
>  >>  > requires that the buffer itself be temporary.
>  >>
>  >> I have to kill the buffer to remove the frame.
>  >
>  > Why doesn't `delete-frame' do what you need?
> 
> Because the window is "quit" when the user is done with the dialog.
> `quit-window' deletes the frame only if the buffer is killed or
> `frame-auto-hide-function' takes over.

You don't say why `delete-frame' would not do what you need.  You say that
`quit-window' needs to have the buffer killed (or ... `f-a-h-f'...) for it to
delete the frame.

What requires you to use `quit-window' and not `delete-frame'?  Just asking, to
understand.

>  > Can we have both possibilities?
>  >
>  > If not, let's get the temporary-buffer one first.  IOW, I 
>  > think you have that case almost nailed - there is just the 
>  > special-display/dedicatedness that does not work yet.
> 
> Then have a look at what happens there.

I don't know what you are requesting.  What else do you want me to do?

I tried your code and reported on it.  I will try it more if the breaking of
special-display buffers (non-dedicated windows) is fixed.  That is the only
problem with it that I have encountered so far.  But that prevents me from
really using it more to see if there are other problems.

Can you fix that problem?  Is there something more that you would like me to
check, which would help you understand that problem?